Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.type.ValidationException

All Implemented Interfaces:
  org.xml.sax.Locator, java.io.Serializable, javax.xml.transform.SourceLocator

public class ValidationException
extends XPathException
implements javax.xml.transform.SourceLocator, org.xml.sax.Locator

This exception indicates a failure when validating an instance against a type defined in a schema.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`ValidationException(java.lang.Exception exception)` Creates a new ValidationException with the given nested exception.
`ValidationException(java.lang.String message)` Creates a new ValidationException with the given message.
`ValidationException(java.lang.String message, java.lang.Exception exception)` Creates a new ValidationException with the given message and nested exception.
`ValidationException(java.lang.String message, javax.xml.transform.SourceLocator locator)` Create a new XPathException from a message and a Locator.

Method Summary
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`javax.xml.transform.SourceLocator` | `getLocator()`
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.
`void` | `setColumnNumber(int column)`
`void` | `setLineNumber(int line)`
`void` | `setLocator(org.xml.sax.Locator locator)`
`void` | `setPublicId(java.lang.String id)`
`void` | `setSourceLocator(javax.xml.transform.SourceLocator locator)`
`void` | `setSystemId(java.lang.String id)`
`java.lang.String` | `toString()` Returns the String representation of this Exception

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(java.lang.String message)

  Creates a new ValidationException with the given message.

Parameters:
  `message` - the message for this Exception

### ValidationException

    public ValidationException(java.lang.Exception exception)

  Creates a new ValidationException with the given nested exception.

Parameters:
  `exception` - the nested exception

### ValidationException

    public ValidationException(java.lang.String message,
                               java.lang.Exception exception)

  Creates a new ValidationException with the given message and nested exception.

Parameters:
  `message` - the detail message for this exception
  `exception` - the nested exception

### ValidationException

    public ValidationException(java.lang.String message,
                               javax.xml.transform.SourceLocator locator)

  Create a new XPathException from a message and a Locator.

Parameters:
  `message` - The error or warning message.
  `locator` - The locator object for the error or warning.

Method Detail

### toString

    public java.lang.String toString()

  Returns the String representation of this Exception

  Returns:
    the String representation of this Exception

### getPublicId

    public java.lang.String getPublicId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    `getPublicId` in interface `javax.xml.transform.SourceLocator`

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    `getSystemId` in interface `javax.xml.transform.SourceLocator`

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first line in the document is line 1.

  Specified by:
    `getLineNumber` in interface `javax.xml.transform.SourceLocator`

### getColumnNumber

    public int getColumnNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first column in each line is column 1.

  Specified by:
    `getColumnNumber` in interface `javax.xml.transform.SourceLocator`

### setPublicId

    public void setPublicId(java.lang.String id)

### setSystemId

    public void setSystemId(java.lang.String id)

### setLineNumber

    public void setLineNumber(int line)

### setColumnNumber

    public void setColumnNumber(int column)

### setLocator

    public void setLocator(org.xml.sax.Locator locator)

### setSourceLocator

    public void setSourceLocator(javax.xml.transform.SourceLocator locator)

### getLocator

    public javax.xml.transform.SourceLocator getLocator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD